Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/README.md
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/README.md	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/README.md	(working copy)
@@ -0,0 +1,4 @@
+# libnss-ato
+
+A [libnss-ato](https://github.com/donapieppo/libnss-ato) package
+with patching (to compile on CentOS 7).
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/avx.patch
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/avx.patch	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/avx.patch	(working copy)
@@ -0,0 +1,35 @@
+diff --git a/Makefile b/Makefile
+index 147e0c4..df950d9 100644
+--- a/Makefile
++++ b/Makefile
+@@ -7,6 +7,8 @@ INSTALL = /usr/bin/install
+ INSTALL_PROGRAM = ${INSTALL}
+ INSTALL_DATA = ${INSTALL} -m 644
+ DESTDIR = ""
++CFLAGS = -std=c99
++LDFLAGS = -lc
+ 
+ prefix = "/usr"
+ exec_prefix = ${prefix}
+diff --git a/libnss-ato.conf b/libnss-ato.conf
+index ec66fce..5a411f9 100644
+--- a/libnss-ato.conf
++++ b/libnss-ato.conf
+@@ -1,3 +1,5 @@
++array:x:1006:1000::/home/array:/ca/bin/ca_shell
++
+ # Only the first line of this file is parsed.
+ # All next lines are comments.
+ # You can not set multiple user accounts with this
+diff --git a/libnss_ato.c b/libnss_ato.c
+index f2f1c38..ec8dc09 100644
+--- a/libnss_ato.c
++++ b/libnss_ato.c
+@@ -21,6 +21,7 @@
+  *
+  */
+ 
++#define _SVID_SOURCE
+ #include <nss.h>
+ #include <pwd.h>
+ #include <shadow.h>
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1.tar.gz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1.tar.gz
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/HEAD
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/HEAD	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/HEAD	(working copy)
@@ -0,0 +1 @@
+ref: refs/heads/master
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/config
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/config	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/config	(working copy)
@@ -0,0 +1,11 @@
+[core]
+	repositoryformatversion = 0
+	filemode = true
+	bare = false
+	logallrefupdates = true
+[remote "origin"]
+	url = https://github.com/donapieppo/libnss-ato.git
+	fetch = +refs/heads/master:refs/remotes/origin/master
+[branch "master"]
+	remote = origin
+	merge = refs/heads/master
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/description
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/description	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/description	(working copy)
@@ -0,0 +1 @@
+Unnamed repository; edit this file 'description' to name the repository.
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/applypatch-msg.sample
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/applypatch-msg.sample	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/applypatch-msg.sample	(working copy)
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message taken by
+# applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.  The hook is
+# allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "applypatch-msg".
+
+. git-sh-setup
+commitmsg="$(git rev-parse --git-path hooks/commit-msg)"
+test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"}
+:

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/applypatch-msg.sample
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/commit-msg.sample
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/commit-msg.sample	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/commit-msg.sample	(working copy)
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by "git commit" with one argument, the name of the file
+# that has the commit message.  The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit.  The hook is allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "commit-msg".
+
+# Uncomment the below to add a Signed-off-by line to the message.
+# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
+# hook is more suited to it.
+#
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
+	echo >&2 Duplicate Signed-off-by lines.
+	exit 1
+}

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/commit-msg.sample
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/fsmonitor-watchman.sample
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/fsmonitor-watchman.sample	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/fsmonitor-watchman.sample	(working copy)
@@ -0,0 +1,173 @@
+#!/usr/bin/perl
+
+use strict;
+use warnings;
+use IPC::Open2;
+
+# An example hook script to integrate Watchman
+# (https://facebook.github.io/watchman/) with git to speed up detecting
+# new and modified files.
+#
+# The hook is passed a version (currently 2) and last update token
+# formatted as a string and outputs to stdout a new update token and
+# all files that have been modified since the update token. Paths must
+# be relative to the root of the working tree and separated by a single NUL.
+#
+# To enable this hook, rename this file to "query-watchman" and set
+# 'git config core.fsmonitor .git/hooks/query-watchman'
+#
+my ($version, $last_update_token) = @ARGV;
+
+# Uncomment for debugging
+# print STDERR "$0 $version $last_update_token\n";
+
+# Check the hook interface version
+if ($version ne 2) {
+	die "Unsupported query-fsmonitor hook version '$version'.\n" .
+	    "Falling back to scanning...\n";
+}
+
+my $git_work_tree = get_working_dir();
+
+my $retry = 1;
+
+my $json_pkg;
+eval {
+	require JSON::XS;
+	$json_pkg = "JSON::XS";
+	1;
+} or do {
+	require JSON::PP;
+	$json_pkg = "JSON::PP";
+};
+
+launch_watchman();
+
+sub launch_watchman {
+	my $o = watchman_query();
+	if (is_work_tree_watched($o)) {
+		output_result($o->{clock}, @{$o->{files}});
+	}
+}
+
+sub output_result {
+	my ($clockid, @files) = @_;
+
+	# Uncomment for debugging watchman output
+	# open (my $fh, ">", ".git/watchman-output.out");
+	# binmode $fh, ":utf8";
+	# print $fh "$clockid\n@files\n";
+	# close $fh;
+
+	binmode STDOUT, ":utf8";
+	print $clockid;
+	print "\0";
+	local $, = "\0";
+	print @files;
+}
+
+sub watchman_clock {
+	my $response = qx/watchman clock "$git_work_tree"/;
+	die "Failed to get clock id on '$git_work_tree'.\n" .
+		"Falling back to scanning...\n" if $? != 0;
+
+	return $json_pkg->new->utf8->decode($response);
+}
+
+sub watchman_query {
+	my $pid = open2(\*CHLD_OUT, \*CHLD_IN, 'watchman -j --no-pretty')
+	or die "open2() failed: $!\n" .
+	"Falling back to scanning...\n";
+
+	# In the query expression below we're asking for names of files that
+	# changed since $last_update_token but not from the .git folder.
+	#
+	# To accomplish this, we're using the "since" generator to use the
+	# recency index to select candidate nodes and "fields" to limit the
+	# output to file names only. Then we're using the "expression" term to
+	# further constrain the results.
+	if (substr($last_update_token, 0, 1) eq "c") {
+		$last_update_token = "\"$last_update_token\"";
+	}
+	my $query = <<"	END";
+		["query", "$git_work_tree", {
+			"since": $last_update_token,
+			"fields": ["name"],
+			"expression": ["not", ["dirname", ".git"]]
+		}]
+	END
+
+	# Uncomment for debugging the watchman query
+	# open (my $fh, ">", ".git/watchman-query.json");
+	# print $fh $query;
+	# close $fh;
+
+	print CHLD_IN $query;
+	close CHLD_IN;
+	my $response = do {local $/; <CHLD_OUT>};
+
+	# Uncomment for debugging the watch response
+	# open ($fh, ">", ".git/watchman-response.json");
+	# print $fh $response;
+	# close $fh;
+
+	die "Watchman: command returned no output.\n" .
+	"Falling back to scanning...\n" if $response eq "";
+	die "Watchman: command returned invalid output: $response\n" .
+	"Falling back to scanning...\n" unless $response =~ /^\{/;
+
+	return $json_pkg->new->utf8->decode($response);
+}
+
+sub is_work_tree_watched {
+	my ($output) = @_;
+	my $error = $output->{error};
+	if ($retry > 0 and $error and $error =~ m/unable to resolve root .* directory (.*) is not watched/) {
+		$retry--;
+		my $response = qx/watchman watch "$git_work_tree"/;
+		die "Failed to make watchman watch '$git_work_tree'.\n" .
+		    "Falling back to scanning...\n" if $? != 0;
+		$output = $json_pkg->new->utf8->decode($response);
+		$error = $output->{error};
+		die "Watchman: $error.\n" .
+		"Falling back to scanning...\n" if $error;
+
+		# Uncomment for debugging watchman output
+		# open (my $fh, ">", ".git/watchman-output.out");
+		# close $fh;
+
+		# Watchman will always return all files on the first query so
+		# return the fast "everything is dirty" flag to git and do the
+		# Watchman query just to get it over with now so we won't pay
+		# the cost in git to look up each individual file.
+		my $o = watchman_clock();
+		$error = $output->{error};
+
+		die "Watchman: $error.\n" .
+		"Falling back to scanning...\n" if $error;
+
+		output_result($o->{clock}, ("/"));
+		$last_update_token = $o->{clock};
+
+		eval { launch_watchman() };
+		return 0;
+	}
+
+	die "Watchman: $error.\n" .
+	"Falling back to scanning...\n" if $error;
+
+	return 1;
+}
+
+sub get_working_dir {
+	my $working_dir;
+	if ($^O =~ 'msys' || $^O =~ 'cygwin') {
+		$working_dir = Win32::GetCwd();
+		$working_dir =~ tr/\\/\//;
+	} else {
+		require Cwd;
+		$working_dir = Cwd::cwd();
+	}
+
+	return $working_dir;
+}

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/fsmonitor-watchman.sample
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/post-update.sample
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/post-update.sample	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/post-update.sample	(working copy)
@@ -0,0 +1,8 @@
+#!/bin/sh
+#
+# An example hook script to prepare a packed repository for use over
+# dumb transports.
+#
+# To enable this hook, rename this file to "post-update".
+
+exec git update-server-info

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/post-update.sample
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-applypatch.sample
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-applypatch.sample	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-applypatch.sample	(working copy)
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed
+# by applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-applypatch".
+
+. git-sh-setup
+precommit="$(git rev-parse --git-path hooks/pre-commit)"
+test -x "$precommit" && exec "$precommit" ${1+"$@"}
+:

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-applypatch.sample
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-commit.sample
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-commit.sample	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-commit.sample	(working copy)
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by "git commit" with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message if
+# it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-commit".
+
+if git rev-parse --verify HEAD >/dev/null 2>&1
+then
+	against=HEAD
+else
+	# Initial commit: diff against an empty tree object
+	against=$(git hash-object -t tree /dev/null)
+fi
+
+# If you want to allow non-ASCII filenames set this variable to true.
+allownonascii=$(git config --type=bool hooks.allownonascii)
+
+# Redirect output to stderr.
+exec 1>&2
+
+# Cross platform projects tend to avoid non-ASCII filenames; prevent
+# them from being added to the repository. We exploit the fact that the
+# printable range starts at the space character and ends with tilde.
+if [ "$allownonascii" != "true" ] &&
+	# Note that the use of brackets around a tr range is ok here, (it's
+	# even required, for portability to Solaris 10's /usr/bin/tr), since
+	# the square bracket bytes happen to fall in the designated range.
+	test $(git diff --cached --name-only --diff-filter=A -z $against |
+	  LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
+then
+	cat <<\EOF
+Error: Attempt to add a non-ASCII file name.
+
+This can cause problems if you want to work with people on other platforms.
+
+To be portable it is advisable to rename the file.
+
+If you know what you are doing you can disable this check using:
+
+  git config hooks.allownonascii true
+EOF
+	exit 1
+fi
+
+# If there are whitespace errors, print the offending file names and fail.
+exec git diff-index --check --cached $against --

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-commit.sample
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-merge-commit.sample
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-merge-commit.sample	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-merge-commit.sample	(working copy)
@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by "git merge" with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message to
+# stderr if it wants to stop the merge commit.
+#
+# To enable this hook, rename this file to "pre-merge-commit".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/pre-commit" &&
+        exec "$GIT_DIR/hooks/pre-commit"
+:

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-merge-commit.sample
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-push.sample
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-push.sample	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-push.sample	(working copy)
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# An example hook script to verify what is about to be pushed.  Called by "git
+# push" after it has checked the remote status, but before anything has been
+# pushed.  If this script exits with a non-zero status nothing will be pushed.
+#
+# This hook is called with the following parameters:
+#
+# $1 -- Name of the remote to which the push is being done
+# $2 -- URL to which the push is being done
+#
+# If pushing without using a named remote those arguments will be equal.
+#
+# Information about the commits which are being pushed is supplied as lines to
+# the standard input in the form:
+#
+#   <local ref> <local oid> <remote ref> <remote oid>
+#
+# This sample shows how to prevent push of commits where the log message starts
+# with "WIP" (work in progress).
+
+remote="$1"
+url="$2"
+
+zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0')
+
+while read local_ref local_oid remote_ref remote_oid
+do
+	if test "$local_oid" = "$zero"
+	then
+		# Handle delete
+		:
+	else
+		if test "$remote_oid" = "$zero"
+		then
+			# New branch, examine all commits
+			range="$local_oid"
+		else
+			# Update to existing branch, examine new commits
+			range="$remote_oid..$local_oid"
+		fi
+
+		# Check for WIP commit
+		commit=$(git rev-list -n 1 --grep '^WIP' "$range")
+		if test -n "$commit"
+		then
+			echo >&2 "Found WIP commit in $local_ref, not pushing"
+			exit 1
+		fi
+	fi
+done
+
+exit 0

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-push.sample
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-rebase.sample
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-rebase.sample	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-rebase.sample	(working copy)
@@ -0,0 +1,169 @@
+#!/bin/sh
+#
+# Copyright (c) 2006, 2008 Junio C Hamano
+#
+# The "pre-rebase" hook is run just before "git rebase" starts doing
+# its job, and can prevent the command from running by exiting with
+# non-zero status.
+#
+# The hook is called with the following parameters:
+#
+# $1 -- the upstream the series was forked from.
+# $2 -- the branch being rebased (or empty when rebasing the current branch).
+#
+# This sample shows how to prevent topic branches that are already
+# merged to 'next' branch from getting rebased, because allowing it
+# would result in rebasing already published history.
+
+publish=next
+basebranch="$1"
+if test "$#" = 2
+then
+	topic="refs/heads/$2"
+else
+	topic=`git symbolic-ref HEAD` ||
+	exit 0 ;# we do not interrupt rebasing detached HEAD
+fi
+
+case "$topic" in
+refs/heads/??/*)
+	;;
+*)
+	exit 0 ;# we do not interrupt others.
+	;;
+esac
+
+# Now we are dealing with a topic branch being rebased
+# on top of master.  Is it OK to rebase it?
+
+# Does the topic really exist?
+git show-ref -q "$topic" || {
+	echo >&2 "No such branch $topic"
+	exit 1
+}
+
+# Is topic fully merged to master?
+not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
+if test -z "$not_in_master"
+then
+	echo >&2 "$topic is fully merged to master; better remove it."
+	exit 1 ;# we could allow it, but there is no point.
+fi
+
+# Is topic ever merged to next?  If so you should not be rebasing it.
+only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
+only_next_2=`git rev-list ^master           ${publish} | sort`
+if test "$only_next_1" = "$only_next_2"
+then
+	not_in_topic=`git rev-list "^$topic" master`
+	if test -z "$not_in_topic"
+	then
+		echo >&2 "$topic is already up to date with master"
+		exit 1 ;# we could allow it, but there is no point.
+	else
+		exit 0
+	fi
+else
+	not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
+	/usr/bin/perl -e '
+		my $topic = $ARGV[0];
+		my $msg = "* $topic has commits already merged to public branch:\n";
+		my (%not_in_next) = map {
+			/^([0-9a-f]+) /;
+			($1 => 1);
+		} split(/\n/, $ARGV[1]);
+		for my $elem (map {
+				/^([0-9a-f]+) (.*)$/;
+				[$1 => $2];
+			} split(/\n/, $ARGV[2])) {
+			if (!exists $not_in_next{$elem->[0]}) {
+				if ($msg) {
+					print STDERR $msg;
+					undef $msg;
+				}
+				print STDERR " $elem->[1]\n";
+			}
+		}
+	' "$topic" "$not_in_next" "$not_in_master"
+	exit 1
+fi
+
+<<\DOC_END
+
+This sample hook safeguards topic branches that have been
+published from being rewound.
+
+The workflow assumed here is:
+
+ * Once a topic branch forks from "master", "master" is never
+   merged into it again (either directly or indirectly).
+
+ * Once a topic branch is fully cooked and merged into "master",
+   it is deleted.  If you need to build on top of it to correct
+   earlier mistakes, a new topic branch is created by forking at
+   the tip of the "master".  This is not strictly necessary, but
+   it makes it easier to keep your history simple.
+
+ * Whenever you need to test or publish your changes to topic
+   branches, merge them into "next" branch.
+
+The script, being an example, hardcodes the publish branch name
+to be "next", but it is trivial to make it configurable via
+$GIT_DIR/config mechanism.
+
+With this workflow, you would want to know:
+
+(1) ... if a topic branch has ever been merged to "next".  Young
+    topic branches can have stupid mistakes you would rather
+    clean up before publishing, and things that have not been
+    merged into other branches can be easily rebased without
+    affecting other people.  But once it is published, you would
+    not want to rewind it.
+
+(2) ... if a topic branch has been fully merged to "master".
+    Then you can delete it.  More importantly, you should not
+    build on top of it -- other people may already want to
+    change things related to the topic as patches against your
+    "master", so if you need further changes, it is better to
+    fork the topic (perhaps with the same name) afresh from the
+    tip of "master".
+
+Let's look at this example:
+
+		   o---o---o---o---o---o---o---o---o---o "next"
+		  /       /           /           /
+		 /   a---a---b A     /           /
+		/   /               /           /
+	       /   /   c---c---c---c B         /
+	      /   /   /             \         /
+	     /   /   /   b---b C     \       /
+	    /   /   /   /             \     /
+    ---o---o---o---o---o---o---o---o---o---o---o "master"
+
+
+A, B and C are topic branches.
+
+ * A has one fix since it was merged up to "next".
+
+ * B has finished.  It has been fully merged up to "master" and "next",
+   and is ready to be deleted.
+
+ * C has not merged to "next" at all.
+
+We would want to allow C to be rebased, refuse A, and encourage
+B to be deleted.
+
+To compute (1):
+
+	git rev-list ^master ^topic next
+	git rev-list ^master        next
+
+	if these match, topic has not merged in next at all.
+
+To compute (2):
+
+	git rev-list master..topic
+
+	if this is empty, it is fully merged to "master".
+
+DOC_END

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-rebase.sample
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-receive.sample
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-receive.sample	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-receive.sample	(working copy)
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# An example hook script to make use of push options.
+# The example simply echoes all push options that start with 'echoback='
+# and rejects all pushes when the "reject" push option is used.
+#
+# To enable this hook, rename this file to "pre-receive".
+
+if test -n "$GIT_PUSH_OPTION_COUNT"
+then
+	i=0
+	while test "$i" -lt "$GIT_PUSH_OPTION_COUNT"
+	do
+		eval "value=\$GIT_PUSH_OPTION_$i"
+		case "$value" in
+		echoback=*)
+			echo "echo from the pre-receive-hook: ${value#*=}" >&2
+			;;
+		reject)
+			exit 1
+		esac
+		i=$((i + 1))
+	done
+fi

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/pre-receive.sample
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/prepare-commit-msg.sample
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/prepare-commit-msg.sample	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/prepare-commit-msg.sample	(working copy)
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# An example hook script to prepare the commit log message.
+# Called by "git commit" with the name of the file that has the
+# commit message, followed by the description of the commit
+# message's source.  The hook's purpose is to edit the commit
+# message file.  If the hook fails with a non-zero status,
+# the commit is aborted.
+#
+# To enable this hook, rename this file to "prepare-commit-msg".
+
+# This hook includes three examples. The first one removes the
+# "# Please enter the commit message..." help message.
+#
+# The second includes the output of "git diff --name-status -r"
+# into the message, just before the "git status" output.  It is
+# commented because it doesn't cope with --amend or with squashed
+# commits.
+#
+# The third example adds a Signed-off-by line to the message, that can
+# still be edited.  This is rarely a good idea.
+
+COMMIT_MSG_FILE=$1
+COMMIT_SOURCE=$2
+SHA1=$3
+
+/usr/bin/perl -i.bak -ne 'print unless(m/^. Please enter the commit message/..m/^#$/)' "$COMMIT_MSG_FILE"
+
+# case "$COMMIT_SOURCE,$SHA1" in
+#  ,|template,)
+#    /usr/bin/perl -i.bak -pe '
+#       print "\n" . `git diff --cached --name-status -r`
+# 	 if /^#/ && $first++ == 0' "$COMMIT_MSG_FILE" ;;
+#  *) ;;
+# esac
+
+# SOB=$(git var GIT_COMMITTER_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# git interpret-trailers --in-place --trailer "$SOB" "$COMMIT_MSG_FILE"
+# if test -z "$COMMIT_SOURCE"
+# then
+#   /usr/bin/perl -i.bak -pe 'print "\n" if !$first_line++' "$COMMIT_MSG_FILE"
+# fi

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/prepare-commit-msg.sample
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/push-to-checkout.sample
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/push-to-checkout.sample	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/push-to-checkout.sample	(working copy)
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# An example hook script to update a checked-out tree on a git push.
+#
+# This hook is invoked by git-receive-pack(1) when it reacts to git
+# push and updates reference(s) in its repository, and when the push
+# tries to update the branch that is currently checked out and the
+# receive.denyCurrentBranch configuration variable is set to
+# updateInstead.
+#
+# By default, such a push is refused if the working tree and the index
+# of the remote repository has any difference from the currently
+# checked out commit; when both the working tree and the index match
+# the current commit, they are updated to match the newly pushed tip
+# of the branch. This hook is to be used to override the default
+# behaviour; however the code below reimplements the default behaviour
+# as a starting point for convenient modification.
+#
+# The hook receives the commit with which the tip of the current
+# branch is going to be updated:
+commit=$1
+
+# It can exit with a non-zero status to refuse the push (when it does
+# so, it must not modify the index or the working tree).
+die () {
+	echo >&2 "$*"
+	exit 1
+}
+
+# Or it can make any necessary changes to the working tree and to the
+# index to bring them to the desired state when the tip of the current
+# branch is updated to the new commit, and exit with a zero status.
+#
+# For example, the hook can simply run git read-tree -u -m HEAD "$1"
+# in order to emulate git fetch that is run in the reverse direction
+# with git push, as the two-tree form of git read-tree -u -m is
+# essentially the same as git switch or git checkout that switches
+# branches while keeping the local changes in the working tree that do
+# not interfere with the difference between the branches.
+
+# The below is a more-or-less exact translation to shell of the C code
+# for the default behaviour for git's push-to-checkout hook defined in
+# the push_to_deploy() function in builtin/receive-pack.c.
+#
+# Note that the hook will be executed from the repository directory,
+# not from the working tree, so if you want to perform operations on
+# the working tree, you will have to adapt your code accordingly, e.g.
+# by adding "cd .." or using relative paths.
+
+if ! git update-index -q --ignore-submodules --refresh
+then
+	die "Up-to-date check failed"
+fi
+
+if ! git diff-files --quiet --ignore-submodules --
+then
+	die "Working directory has unstaged changes"
+fi
+
+# This is a rough translation of:
+#
+#   head_has_history() ? "HEAD" : EMPTY_TREE_SHA1_HEX
+if git cat-file -e HEAD 2>/dev/null
+then
+	head=HEAD
+else
+	head=$(git hash-object -t tree --stdin </dev/null)
+fi
+
+if ! git diff-index --quiet --cached --ignore-submodules $head --
+then
+	die "Working directory has staged changes"
+fi
+
+if ! git read-tree -u -m "$commit"
+then
+	die "Could not update working tree to new HEAD"
+fi

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/push-to-checkout.sample
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/update.sample
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/update.sample	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/update.sample	(working copy)
@@ -0,0 +1,128 @@
+#!/bin/sh
+#
+# An example hook script to block unannotated tags from entering.
+# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
+#
+# To enable this hook, rename this file to "update".
+#
+# Config
+# ------
+# hooks.allowunannotated
+#   This boolean sets whether unannotated tags will be allowed into the
+#   repository.  By default they won't be.
+# hooks.allowdeletetag
+#   This boolean sets whether deleting tags will be allowed in the
+#   repository.  By default they won't be.
+# hooks.allowmodifytag
+#   This boolean sets whether a tag may be modified after creation. By default
+#   it won't be.
+# hooks.allowdeletebranch
+#   This boolean sets whether deleting branches will be allowed in the
+#   repository.  By default they won't be.
+# hooks.denycreatebranch
+#   This boolean sets whether remotely creating branches will be denied
+#   in the repository.  By default this is allowed.
+#
+
+# --- Command line
+refname="$1"
+oldrev="$2"
+newrev="$3"
+
+# --- Safety check
+if [ -z "$GIT_DIR" ]; then
+	echo "Don't run this script from the command line." >&2
+	echo " (if you want, you could supply GIT_DIR then run" >&2
+	echo "  $0 <ref> <oldrev> <newrev>)" >&2
+	exit 1
+fi
+
+if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
+	echo "usage: $0 <ref> <oldrev> <newrev>" >&2
+	exit 1
+fi
+
+# --- Config
+allowunannotated=$(git config --type=bool hooks.allowunannotated)
+allowdeletebranch=$(git config --type=bool hooks.allowdeletebranch)
+denycreatebranch=$(git config --type=bool hooks.denycreatebranch)
+allowdeletetag=$(git config --type=bool hooks.allowdeletetag)
+allowmodifytag=$(git config --type=bool hooks.allowmodifytag)
+
+# check for no description
+projectdesc=$(sed -e '1q' "$GIT_DIR/description")
+case "$projectdesc" in
+"Unnamed repository"* | "")
+	echo "*** Project description file hasn't been set" >&2
+	exit 1
+	;;
+esac
+
+# --- Check types
+# if $newrev is 0000...0000, it's a commit to delete a ref.
+zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0')
+if [ "$newrev" = "$zero" ]; then
+	newrev_type=delete
+else
+	newrev_type=$(git cat-file -t $newrev)
+fi
+
+case "$refname","$newrev_type" in
+	refs/tags/*,commit)
+		# un-annotated tag
+		short_refname=${refname##refs/tags/}
+		if [ "$allowunannotated" != "true" ]; then
+			echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
+			echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,delete)
+		# delete tag
+		if [ "$allowdeletetag" != "true" ]; then
+			echo "*** Deleting a tag is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,tag)
+		# annotated tag
+		if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
+		then
+			echo "*** Tag '$refname' already exists." >&2
+			echo "*** Modifying a tag is not allowed in this repository." >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,commit)
+		# branch
+		if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
+			echo "*** Creating a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,delete)
+		# delete branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/remotes/*,commit)
+		# tracking branch
+		;;
+	refs/remotes/*,delete)
+		# delete tracking branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a tracking branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	*)
+		# Anything else (is there anything else?)
+		echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
+		exit 1
+		;;
+esac
+
+# --- Finished
+exit 0

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/hooks/update.sample
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/index
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/index
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/info/exclude
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/info/exclude	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/info/exclude	(working copy)
@@ -0,0 +1,6 @@
+# git ls-files --others --exclude-from=.git/info/exclude
+# Lines that start with '#' are comments.
+# For a project mostly in C, the following would be a good set of
+# exclude patterns (uncomment them if you want to use them):
+# *.[oa]
+# *~
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/logs/HEAD
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/logs/HEAD	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/logs/HEAD	(working copy)
@@ -0,0 +1 @@
+0000000000000000000000000000000000000000 4a29c8410cdac590a210dab2dec41d5f4b40d282 luhsuan <luhsuan@arraynetworks.com> 1724225651 +0800	clone: from https://github.com/donapieppo/libnss-ato.git
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/logs/refs/heads/master
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/logs/refs/heads/master	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/logs/refs/heads/master	(working copy)
@@ -0,0 +1 @@
+0000000000000000000000000000000000000000 4a29c8410cdac590a210dab2dec41d5f4b40d282 luhsuan <luhsuan@arraynetworks.com> 1724225651 +0800	clone: from https://github.com/donapieppo/libnss-ato.git
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/logs/refs/remotes/origin/HEAD
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/logs/refs/remotes/origin/HEAD	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/logs/refs/remotes/origin/HEAD	(working copy)
@@ -0,0 +1 @@
+0000000000000000000000000000000000000000 4a29c8410cdac590a210dab2dec41d5f4b40d282 luhsuan <luhsuan@arraynetworks.com> 1724225651 +0800	clone: from https://github.com/donapieppo/libnss-ato.git
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/objects/pack/pack-26d415fc22d2ca29da17d7177bbc4945df2be432.idx
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/objects/pack/pack-26d415fc22d2ca29da17d7177bbc4945df2be432.idx
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/objects/pack/pack-26d415fc22d2ca29da17d7177bbc4945df2be432.pack
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/objects/pack/pack-26d415fc22d2ca29da17d7177bbc4945df2be432.pack
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/packed-refs
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/packed-refs	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/packed-refs	(working copy)
@@ -0,0 +1,2 @@
+# pack-refs with: peeled fully-peeled sorted 
+4a29c8410cdac590a210dab2dec41d5f4b40d282 refs/remotes/origin/master
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/refs/heads/master
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/refs/heads/master	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/refs/heads/master	(working copy)
@@ -0,0 +1 @@
+4a29c8410cdac590a210dab2dec41d5f4b40d282
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/refs/remotes/origin/HEAD
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/refs/remotes/origin/HEAD	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/refs/remotes/origin/HEAD	(working copy)
@@ -0,0 +1 @@
+ref: refs/remotes/origin/master
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/shallow
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/shallow	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.git/shallow	(working copy)
@@ -0,0 +1 @@
+4a29c8410cdac590a210dab2dec41d5f4b40d282
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.github/workflows/ci.yml
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.github/workflows/ci.yml	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.github/workflows/ci.yml	(working copy)
@@ -0,0 +1,17 @@
+name: libnss-ato CI
+
+on: [pull_request, push, workflow_dispatch]
+
+jobs:
+    basic-sanity:
+        runs-on: ubuntu-latest
+        steps:
+            - uses: actions/checkout@v2
+            - name: build container
+              working-directory: ${{ github.workspace }}
+              run: |
+                docker build -t libnss-ato -f ci/Dockerfile .
+            - name: run tests in container
+              working-directory: ${{ github.workspace }}
+              run: |
+                docker run --security-opt seccomp:unconfined --rm -v$(pwd):/build -w/build libnss-ato ./ci/docker-entrypoint.sh
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.gitignore
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.gitignore	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.gitignore	(working copy)
@@ -0,0 +1,9 @@
+/libnss_ato.so.2
+/libnss_ato_test
+/build-stamp
+/BUILD/
+/BUILDROOT/
+/RPMS/
+/SRPMS/
+/SOURCES/
+/SPECS/
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.travis.yml
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.travis.yml	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/.travis.yml	(working copy)
@@ -0,0 +1,14 @@
+language: c
+sudo: false
+
+script:
+  - make
+
+matrix:
+  include:
+  - os: linux
+    compiler: gcc
+  - os: linux
+    compiler: clang
+
+
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/Makefile
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/Makefile	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/Makefile	(working copy)
@@ -0,0 +1,49 @@
+# Makefile for libnss-ato
+
+#### Start of system configuration section. ####
+
+CC = gcc
+INSTALL = /usr/bin/install
+INSTALL_PROGRAM = ${INSTALL}
+INSTALL_DATA = ${INSTALL} -m 644
+DESTDIR = ""
+
+prefix = "/usr"
+exec_prefix = ${prefix}
+
+# Where the installed binary goes.
+bindir = ${exec_prefix}/bin
+binprefix =
+
+sysconfdir = /etc
+
+# mandir = /usr/local/src/less-394/debian/less/usr/share/man
+manext = 1
+manprefix = ${prefix}/share/man
+
+#### End of system configuration section. ####
+
+all:	libnss_ato libnss_ato_test
+
+libnss_ato:	libnss_ato.c
+	${CC} ${CFLAGS} ${LDFLAGS} -fPIC -Wall -shared -o libnss_ato.so.2 -Wl,-soname,libnss_ato.so.2 libnss_ato.c
+
+test:	libnss_ato_test.c
+	${CC} ${CFLAGS} ${LDFLAGS} -fPIC -Wall -o libnss_ato_test libnss_ato_test.c
+
+install:
+	# remeber  /lib/libnss_compat.so.2 -> libnss_compat-2.3.6.so
+	${INSTALL_DATA} -D libnss_ato.so.2 ${DESTDIR}/${prefix}/lib/libnss_ato-2.3.6.so
+	${INSTALL_DATA} -D libnss-ato.3 ${DESTDIR}/${manprefix}/man3/libnss-ato.3
+	cd ${DESTDIR}/${prefix}/lib && ln -fs libnss_ato-2.3.6.so libnss_ato.so.2
+	${INSTALL_DATA} -D libnss-ato.conf ${DESTDIR}/${sysconfdir}/libnss-ato.conf
+
+clean:
+	rm -f libnss_ato.so.2 libnss_ato_test
+	rm -rf debian/libnss-ato
+	rm -f build-stamp
+	rm -rf BUILD BUILDROOT RPMS SRPMS SOURCES SPECS
+
+rpm: libnss_ato
+	rm -rf BUILD BUILDROOT RPMS SRPMS SOURCES SPECS
+	rpmbuild -ba rpm/libnss-ato.spec --define "_topdir $$(pwd)"
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/README.md
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/README.md	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/README.md	(working copy)
@@ -0,0 +1,82 @@
+[![Build Status](https://travis-ci.org/donapieppo/libnss-ato.svg?branch=master)](https://travis-ci.org/donapieppo/libnss-ato)
+
+libnss-ato (Name Service Switch module All-To-One)
+==========
+
+The libnss_ato module is a set of C library extensions which allows to map every nss request for unknown user to a single predefined user.
+
+Description
+=========
+
+Suppose your system has only one account (apart from root and system users) named user_test:
+
+```console
+]$ id user_test
+]$ uid=1000(user_test) gid=1000 groups=1000
+```
+
+If you add libnss-ato to the chain of nss modules (in /etc/nsswitch.conf) you get something like:
+
+```console
+]$ id randomname
+]$ uid=1000(user_test) gid=1000 groups=1000
+```
+
+for every query of a random username not present in /etc/passwd.
+
+Why?
+=========
+
+This module can be used for pubblic workstations where you only need to verify username / password from a pam module (for example pam-krb5 for Active Directory users) and there is no need to give the user his own uid, gid or homedir.
+
+Installation from source
+=========
+From source just make and make install.
+
+The only configuration file is `/etc/libnss-ato.conf` which consists of one line in the passwd format. For example:
+
+```console
+test_user:x:1000:1000:Test User:/home/test:/bin/bash
+```
+
+Only the first line of the file `/etc/libnss-ato.conf` is parsed and the 
+uid number (1000 in this example) must be the one of a real user in the system.
+
+Here an example of the system file `/etc/nsswitch.conf` to make use of libnss-ato:
+
+```console
+passwd:         files ato
+group:          files
+shadow:         files ato
+```
+
+If you have an nscd service running, please reload it after the changes in the file
+`/etc/nsswitch.conf`.
+
+Installation from Debian packages
+=========
+To build the Debian packages, run the following:
+```console
+fakeroot debian/rules binary
+```
+This should create the correct `.deb` in the parent directory.
+
+This package can then be installed as with any other package:
+```console
+sudo dpkg -i <package_name>
+```
+You will then need to modify the config files, as above.
+
+Installation from CentOS packages
+=========
+To build the CentOS packages, run the following:
+```console
+make rpm
+```
+This should create the correct `.rpm` in the parent directory.
+
+This package can then be installed as with any other package:
+```console
+sudo yum install <package_name>
+```
+You will then need to modify the config files, as above.
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/ci/Dockerfile
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/ci/Dockerfile	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/ci/Dockerfile	(working copy)
@@ -0,0 +1,17 @@
+FROM fedora:latest
+
+MAINTAINER Donapieppo <donapieppo@yahoo.it>
+
+RUN dnf install -y gcc --refresh
+
+# docker build -t libnss-ato .
+# docker run -it -v$(pwd):/build -w/build libnss-ato /bin/bash
+#
+# and then make && make installi
+#
+# make necessary modifications to /etc/libnss-ato.conf, example
+# echo "t:x:1000:1000:Test User:/home/test:/bin/bash" > /etc/libnss-ato.conf
+#
+# add ato to /etc/nsswitch.conf, example:
+# sed -ie '/^passwd:/ s/$/ ato/' /etc/nsswitch.conf
+# sed -ie '/^shadow:/ s/$/ ato/' /etc/nsswitch.conf
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/ci/docker-entrypoint.sh
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/ci/docker-entrypoint.sh	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/ci/docker-entrypoint.sh	(working copy)
@@ -0,0 +1,75 @@
+#!/bin/bash
+
+set -e
+
+fini() {
+  local retval="$?"
+
+  rm -rf ${destdir} \
+    /usr/lib/libnss_ato*.so* \
+    /etc/libnss-ato.conf
+
+  echo ""
+  make clean
+
+  if [ $retval -eq 0 ]; then
+    echo -e "\nAll tests PASSED\n"
+  else
+    echo -e "\nOne or more tests FAILED\n" 1>&2
+  fi
+
+  exit "$retval"
+}
+
+trap fini EXIT
+
+echo -e "\nBuild test ...\n"
+make
+echo -e "\nBuild test PASS ...\n"
+
+echo -e "\nInstall test ...\n"
+
+destdir="$PWD/tmp"
+make install DESTDIR="${destdir}"
+
+ls ${destdir}/usr/lib/libnss_ato*.so*
+test -s ${destdir}/etc/libnss-ato.conf
+test -s ${destdir}/usr/share/man/man3/libnss-ato.3
+
+echo -e "\nInstall test PASS ...\n"
+
+echo -e "\nFunctionality tests ..."
+
+echo "Try with root user ..."
+./libnss_ato_test root
+
+echo  -e "\nTry with non existent user without enabling libnss-ato ..."
+
+if ./libnss_ato_test test123; then
+  echo "Passed with non existent user without enabling libnss-ato ..." 1>&2
+  exit 1
+fi
+
+echo -e "\nFailed as expected ..."
+
+echo -e "\nEnable libnss-ato now ..."
+
+cp ${destdir}/usr/lib/libnss_ato*.so* /usr/lib/
+cp ${destdir}/etc/libnss-ato.conf /etc/
+
+ldconfig
+
+echo "t:x:1000:1000:Test User:/home/test:/bin/bash" >> /etc/libnss-ato.conf
+
+sed -ie '/^passwd:/ s/$/ ato/' /etc/nsswitch.conf
+sed -ie '/^shadow:/ s/$/ ato/' /etc/nsswitch.conf
+
+echo  -e "\nTry with non existent user after enabling libnss-ato ..."
+
+if ! ./libnss_ato_test test123; then
+  echo "Failed with non existent user after enabling libnss-ato ..." 1>&2
+  exit 1
+fi
+
+echo -e "\nFunctionality tests PASS ...\n"
+exit 0

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/ci/docker-entrypoint.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/copyright
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/copyright	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/copyright	(working copy)
@@ -0,0 +1,15 @@
+    Copyright (C) 2007 Pietro Donatini (pietro.donatini@unibo.it).
+
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU Lesser General Public License as published by
+    the Free Software Foundation; either version 3 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU Lesser General Public License for more details.
+
+    You should have received a copy of the GNU Lesser General Public License
+    along with this program; if not, see <http://www.gnu.org/licenses/>.
+
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/.gitignore
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/.gitignore	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/.gitignore	(working copy)
@@ -0,0 +1,4 @@
+/files
+/libnss-ato.debhelper.log
+/libnss-ato.substvars
+/libnss-ato/
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/changelog
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/changelog	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/changelog	(working copy)
@@ -0,0 +1,16 @@
+libnss-ato (0.2-1) unstable; urgency=low
+
+  * strip \n from group read in /etc/libnss-ato.conf (thanks Kyler Laird)
+
+  -- Pietro Donatini <donatini@dm.unibo.it>  Tue Sep  1 14:27:10 CEST 2009
+
+libnss-ato (0.1-1) unstable; urgency=low
+
+  * initial release
+
+ -- Pietro Donatini <donatini@dm.unibo.it>  Thu, 22 Mar 2007 13:07:25 +0100
+
+
+
+
+
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/compat
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/compat	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/compat	(working copy)
@@ -0,0 +1 @@
+8
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/control
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/control	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/control	(working copy)
@@ -0,0 +1,14 @@
+Source: libnss-ato
+Maintainer: Pietro Donatini
+Section: admin
+Priority: standard
+Standards-Version: 0.2
+Build-Depends: 
+
+Package: libnss-ato
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, debianutils (>= 1.8)
+Description: NSS module to match all request of unknown user to a single user (All To One)
+ .
+  Homepage: https://github.com/donapieppo/libnss-ato
+
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/copyright
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/copyright	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/copyright	(working copy)
@@ -0,0 +1,19 @@
+Upstream and Debian Author: Pietro Donatini
+
+Copyright:
+
+    Copyright (C) 2007 Pietro Donatini (pietro.donatini@unibo.it).
+
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU Lesser General Public License as published by
+    the Free Software Foundation; either version 3 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU Lesser General Public License for more details.
+
+    You should have received a copy of the GNU Lesser General Public License
+    along with this program; if not, see <http://www.gnu.org/licenses/>.
+
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/dirs
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/dirs	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/dirs	(working copy)
@@ -0,0 +1,2 @@
+lib
+usr/share/man/man3
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/rules
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/rules	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/rules	(working copy)
@@ -0,0 +1,79 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# This file is public domain software, originally written by Joey Hess. 
+
+# Uncomment this to turn on verbose mode.
+export DH_VERBOSE=1
+
+# This is the debhelper compatibility version to use.
+export DH_COMPAT=10
+
+build: build-stamp
+build-stamp:
+	dh_testdir
+
+	# Add here commands to compile the package.
+	$(MAKE)
+
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp
+
+	# Add here commands to clean up after the build process.
+	#-$(MAKE) clean
+	#-$(MAKE) distclean
+
+	dh_clean
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	# Add here commands to install the package into debian/<packagename>
+	$(MAKE) prefix=`pwd`/debian/`dh_listpackages` install
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs
+	dh_installdocs
+	dh_installexamples
+# donatini scommentato
+	dh_install
+#	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installcatalogs
+#	dh_installpam
+#	dh_installmime
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
+#	dh_undocumented
+	dh_installman
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_perl
+#	dh_python
+#	dh_makeshlibs
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install

Property changes on: 3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/debian/rules
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/lgpl-3.0.txt
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/lgpl-3.0.txt	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/lgpl-3.0.txt	(working copy)
@@ -0,0 +1,165 @@
+                   GNU LESSER GENERAL PUBLIC LICENSE
+                       Version 3, 29 June 2007
+
+ Copyright (C) 2007 Free Software Foundation, Inc. <https://fsf.org/>
+ Everyone is permitted to copy and distribute verbatim copies
+ of this license document, but changing it is not allowed.
+
+
+  This version of the GNU Lesser General Public License incorporates
+the terms and conditions of version 3 of the GNU General Public
+License, supplemented by the additional permissions listed below.
+
+  0. Additional Definitions.
+
+  As used herein, "this License" refers to version 3 of the GNU Lesser
+General Public License, and the "GNU GPL" refers to version 3 of the GNU
+General Public License.
+
+  "The Library" refers to a covered work governed by this License,
+other than an Application or a Combined Work as defined below.
+
+  An "Application" is any work that makes use of an interface provided
+by the Library, but which is not otherwise based on the Library.
+Defining a subclass of a class defined by the Library is deemed a mode
+of using an interface provided by the Library.
+
+  A "Combined Work" is a work produced by combining or linking an
+Application with the Library.  The particular version of the Library
+with which the Combined Work was made is also called the "Linked
+Version".
+
+  The "Minimal Corresponding Source" for a Combined Work means the
+Corresponding Source for the Combined Work, excluding any source code
+for portions of the Combined Work that, considered in isolation, are
+based on the Application, and not on the Linked Version.
+
+  The "Corresponding Application Code" for a Combined Work means the
+object code and/or source code for the Application, including any data
+and utility programs needed for reproducing the Combined Work from the
+Application, but excluding the System Libraries of the Combined Work.
+
+  1. Exception to Section 3 of the GNU GPL.
+
+  You may convey a covered work under sections 3 and 4 of this License
+without being bound by section 3 of the GNU GPL.
+
+  2. Conveying Modified Versions.
+
+  If you modify a copy of the Library, and, in your modifications, a
+facility refers to a function or data to be supplied by an Application
+that uses the facility (other than as an argument passed when the
+facility is invoked), then you may convey a copy of the modified
+version:
+
+   a) under this License, provided that you make a good faith effort to
+   ensure that, in the event an Application does not supply the
+   function or data, the facility still operates, and performs
+   whatever part of its purpose remains meaningful, or
+
+   b) under the GNU GPL, with none of the additional permissions of
+   this License applicable to that copy.
+
+  3. Object Code Incorporating Material from Library Header Files.
+
+  The object code form of an Application may incorporate material from
+a header file that is part of the Library.  You may convey such object
+code under terms of your choice, provided that, if the incorporated
+material is not limited to numerical parameters, data structure
+layouts and accessors, or small macros, inline functions and templates
+(ten or fewer lines in length), you do both of the following:
+
+   a) Give prominent notice with each copy of the object code that the
+   Library is used in it and that the Library and its use are
+   covered by this License.
+
+   b) Accompany the object code with a copy of the GNU GPL and this license
+   document.
+
+  4. Combined Works.
+
+  You may convey a Combined Work under terms of your choice that,
+taken together, effectively do not restrict modification of the
+portions of the Library contained in the Combined Work and reverse
+engineering for debugging such modifications, if you also do each of
+the following:
+
+   a) Give prominent notice with each copy of the Combined Work that
+   the Library is used in it and that the Library and its use are
+   covered by this License.
+
+   b) Accompany the Combined Work with a copy of the GNU GPL and this license
+   document.
+
+   c) For a Combined Work that displays copyright notices during
+   execution, include the copyright notice for the Library among
+   these notices, as well as a reference directing the user to the
+   copies of the GNU GPL and this license document.
+
+   d) Do one of the following:
+
+       0) Convey the Minimal Corresponding Source under the terms of this
+       License, and the Corresponding Application Code in a form
+       suitable for, and under terms that permit, the user to
+       recombine or relink the Application with a modified version of
+       the Linked Version to produce a modified Combined Work, in the
+       manner specified by section 6 of the GNU GPL for conveying
+       Corresponding Source.
+
+       1) Use a suitable shared library mechanism for linking with the
+       Library.  A suitable mechanism is one that (a) uses at run time
+       a copy of the Library already present on the user's computer
+       system, and (b) will operate properly with a modified version
+       of the Library that is interface-compatible with the Linked
+       Version.
+
+   e) Provide Installation Information, but only if you would otherwise
+   be required to provide such information under section 6 of the
+   GNU GPL, and only to the extent that such information is
+   necessary to install and execute a modified version of the
+   Combined Work produced by recombining or relinking the
+   Application with a modified version of the Linked Version. (If
+   you use option 4d0, the Installation Information must accompany
+   the Minimal Corresponding Source and Corresponding Application
+   Code. If you use option 4d1, you must provide the Installation
+   Information in the manner specified by section 6 of the GNU GPL
+   for conveying Corresponding Source.)
+
+  5. Combined Libraries.
+
+  You may place library facilities that are a work based on the
+Library side by side in a single library together with other library
+facilities that are not Applications and are not covered by this
+License, and convey such a combined library under terms of your
+choice, if you do both of the following:
+
+   a) Accompany the combined library with a copy of the same work based
+   on the Library, uncombined with any other library facilities,
+   conveyed under the terms of this License.
+
+   b) Give prominent notice with the combined library that part of it
+   is a work based on the Library, and explaining where to find the
+   accompanying uncombined form of the same work.
+
+  6. Revised Versions of the GNU Lesser General Public License.
+
+  The Free Software Foundation may publish revised and/or new versions
+of the GNU Lesser General Public License from time to time. Such new
+versions will be similar in spirit to the present version, but may
+differ in detail to address new problems or concerns.
+
+  Each version is given a distinguishing version number. If the
+Library as you received it specifies that a certain numbered version
+of the GNU Lesser General Public License "or any later version"
+applies to it, you have the option of following the terms and
+conditions either of that published version or of any later version
+published by the Free Software Foundation. If the Library as you
+received it does not specify a version number of the GNU Lesser
+General Public License, you may choose any version of the GNU Lesser
+General Public License ever published by the Free Software Foundation.
+
+  If the Library as you received it specifies that a proxy can decide
+whether future versions of the GNU Lesser General Public License shall
+apply, that proxy's public statement of acceptance of any version is
+permanent authorization for you to choose that version for the
+Library.
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/libnss-ato.3
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/libnss-ato.3	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/libnss-ato.3	(working copy)
@@ -0,0 +1,48 @@
+.\" Copyright (c) 2007 Pietro Donatini (pietro.donatini@unibo.it)
+.\"
+.\" This is free documentation; you can redistribute it and/or
+.\" modify it under the terms of the GNU General Public License as
+.\" published by the Free Software Foundation; either version 2 of
+.\" the License, or (at your option) any later version.
+.\"
+.\" The GNU General Public License's references to "object code"
+.\" and "executables" are to be interpreted as the output of any
+.\" document formatting or typesetting system, including
+.\" intermediate and printed output.
+.\"
+.\" This manual is distributed in the hope that it will be useful,
+.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
+.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+.\" GNU General Public License for more details.
+.\"
+.\" You should have received a copy of the GNU General Public
+.\" License along with this manual; if not, write to the Free
+.\" Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111,
+.\" USA.
+.\"
+.TH libnss_ato 3
+.SH NAME
+libnss_ato \- All To One nameservice
+.SH DESCRIPTION
+The libnss_ato module is a set of C library extensions which allows to map every nss request for unknown user to a single predefined user.
+.LP
+An example
+.I /etc/nsswitch.conf
+.sp 1n
+.PD 0
+.TP 16
+passwd:
+files ato
+.TP
+group:
+files
+.TP
+shadow:
+files ato
+.LP
+We need shadow in order to prove that the account is not expired.
+.LP
+.SH AUTHOR
+Pietro Donatini
+.SH "SEE ALSO"
+nsswitch.conf(3)
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/libnss-ato.conf
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/libnss-ato.conf	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/libnss-ato.conf	(working copy)
@@ -0,0 +1,7 @@
+# Only the first line of this file is parsed.
+# All next lines are comments.
+# You can not set multiple user accounts with this
+# nss module. Use the format as in the standard /etc/passwd.
+# For security reasons: don't use UID or GID under 500,
+# won't work, and in the password field we return
+# always an 'x', regardless what you wrote there...
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/libnss_ato.c
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/libnss_ato.c	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/libnss_ato.c	(working copy)
@@ -0,0 +1,162 @@
+/*
+ * libnss_ato.c
+ *
+ * Nss module to map every requested user to a fixed one.
+ * Ato stands for "All To One"
+ *
+ * Copyright (c) Pietro Donatini (pietro.donatini@unibo.it), 2007.
+ *
+ * this product may be distributed under the terms of
+ * the GNU Lesser General Public License.
+ *
+ * version 0.2
+ *
+ * CHANGELOG:
+ * strip end of line in reading /etc/libnss-ato
+ * suggested by Kyler Laird
+ *
+ * TODO:
+ *
+ * check bugs
+ *
+ */
+
+#include <nss.h>
+#include <pwd.h>
+#include <shadow.h>
+#include <string.h>
+#include <stdio.h>
+
+/* for security reasons */
+#define MIN_UID_NUMBER   500
+#define MIN_GID_NUMBER   500
+#define BAD_CHARS ":"
+#define CONF_FILE "/etc/libnss-ato.conf"
+
+/*
+ * the configuration /etc/libnss-ato.conf is just one line
+ * with the local user data as in /etc/passwd. For example:
+ * dona:x:1001:1001:P D ,,,:/home/dona:/bin/bash
+ * Extra lines are comments (not processed).
+ */
+
+struct passwd *
+read_conf(void)
+{
+	FILE *fd;
+	struct passwd *conf;
+
+	if ((fd = fopen(CONF_FILE, "r")) == NULL ) {
+		return NULL;
+	}
+
+	conf = fgetpwent(fd);
+    if (conf == NULL)
+        goto end;
+
+	if ( conf->pw_uid < MIN_UID_NUMBER )
+		conf->pw_uid = MIN_UID_NUMBER;
+
+	if ( conf->pw_gid < MIN_GID_NUMBER )
+		conf->pw_gid = MIN_GID_NUMBER;
+
+end:
+	fclose(fd);
+	return conf;
+}
+
+/*
+ * Allocate some space from the nss static buffer.  The buffer and buflen
+ * are the pointers passed in by the C library to the _nss_ntdom_*
+ * functions.
+ *
+ *  Taken from glibc
+ */
+
+static char *
+get_static(char **buffer, size_t *buflen, int len)
+{
+	char *result;
+
+	/* Error check.  We return false if things aren't set up right, or
+	 * there isn't enough buffer space left. */
+
+	if ((buffer == NULL) || (buflen == NULL) || (*buflen < len)) {
+		return NULL;
+	}
+
+	/* Return an index into the static buffer */
+
+	result = *buffer;
+	*buffer += len;
+	*buflen -= len;
+
+	return result;
+}
+
+enum nss_status
+_nss_ato_getpwnam_r( const char *name,
+		struct passwd *p,
+		char *buffer,
+		size_t buflen,
+		int *errnop)
+{
+	struct passwd *conf;
+
+	if ((conf = read_conf()) == NULL) {
+		return NSS_STATUS_NOTFOUND;
+	}
+
+	int len = strlen(BAD_CHARS);
+	for (int i=0; i<len; i++) {
+		if (strchr(name, BAD_CHARS[i]) != NULL) {
+			return NSS_STATUS_NOTFOUND;
+		}
+	}
+
+	*p = *conf;
+
+	/* If out of memory */
+	if ((p->pw_name = get_static(&buffer, &buflen, strlen(name) + 1)) == NULL) {
+		return NSS_STATUS_TRYAGAIN;
+	}
+
+	/* pw_name stay as the name given */
+	strcpy(p->pw_name, name);
+
+	if ((p->pw_passwd = get_static(&buffer, &buflen, (int)sizeof("x"))) == NULL) {
+		return NSS_STATUS_TRYAGAIN;
+	}
+
+	strcpy(p->pw_passwd, "x");
+
+	return NSS_STATUS_SUCCESS;
+}
+
+enum nss_status
+_nss_ato_getspnam_r( const char *name,
+		struct spwd *s,
+		char *buffer,
+		size_t buflen,
+		int *errnop)
+{
+	/* If out of memory */
+	if ((s->sp_namp = get_static(&buffer, &buflen, strlen(name) + 1)) == NULL) {
+		return NSS_STATUS_TRYAGAIN;
+	}
+
+	strcpy(s->sp_namp, name);
+
+	if ((s->sp_pwdp = get_static(&buffer, &buflen, (int)sizeof("*"))) == NULL) {
+		return NSS_STATUS_TRYAGAIN;
+	}
+
+	strcpy(s->sp_pwdp, "*");
+
+	s->sp_lstchg = 13571;
+	s->sp_min    = 0;
+	s->sp_max    = 99999;
+	s->sp_warn   = 7;
+
+	return NSS_STATUS_SUCCESS;
+}
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/libnss_ato_test.c
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/libnss_ato_test.c	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/libnss_ato_test.c	(working copy)
@@ -0,0 +1,40 @@
+#include <stdio.h>
+#include <getopt.h>
+#include <sys/types.h>
+#include <pwd.h>
+#include <shadow.h>
+
+struct spwd *getspnam(const char *name);
+
+int main(int argc, char *argv[]) {
+
+	struct passwd *p;
+	struct spwd *s;
+
+	char *usern = "pippo.pluto";
+
+	if (argc == 2) {
+		usern = argv[1];
+	}
+
+	if (!(p = getpwnam(usern))) {
+		return -1;
+	}
+
+	printf("FROM PASSWORD:\n");
+
+	printf("\tname:  %s\n", p->pw_name);
+	printf("\tdir:   %s\n", p->pw_dir);
+	printf("\tgecos: %s\n", p->pw_gecos);
+
+	printf("FROM SHADOW:\n");
+
+	if (!(s = getspnam(usern))) {
+		return -1;
+	}
+
+	printf("\tname:  %s\n", s->sp_namp);
+	printf("\tpass:  %s\n", s->sp_pwdp);
+
+	return 0;
+}
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/rpm/libnss-ato.spec
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/rpm/libnss-ato.spec	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato-0.2.1/rpm/libnss-ato.spec	(working copy)
@@ -0,0 +1,34 @@
+Name:           libnss-ato
+Version:        0.2
+Release:        1
+Summary:        NSS module to match all request of unknown user to a single user (All To One)
+
+License:        GPL
+URL:            http://www.dm.unibo.it/~donatini
+
+%description
+NSS module to match all request of unknown user to a single user (All To One)
+
+%install
+%define _copy_to_buildroot() mkdir -p %{buildroot}%2; cp -r %{_topdir}/%1 %{buildroot}%2
+
+# Copy the necessary files to the buildroot.
+#
+# There are lots of ways to do this:
+# - Manually write the necessary mkdir/cp commands
+# - Use macros to make writing these commands easier
+# - Call a helper script to populate the buildroot (e.g. by parsing debian/*.install)
+#
+# Here is an example of doing this with macros.
+%{_copy_to_buildroot libnss_ato.so.2 /lib64}
+ln -srv %{buildroot}/lib64/libnss_ato.so.2 %{buildroot}/lib64/libnss_ato-2.3.6.so
+%{_copy_to_buildroot libnss-ato.3 /usr/share/man/man3}
+%{_copy_to_buildroot libnss-ato.conf /etc}
+
+%debug_package
+
+%files
+/lib64/libnss_ato.so.2
+/lib64/libnss_ato-2.3.6.so
+%config(noreplace) /etc/libnss-ato.conf
+/usr/share/man/man3/libnss-ato.3
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato.conf
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato.conf	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SOURCES/libnss-ato.conf	(working copy)
@@ -0,0 +1,9 @@
+array:x:1006:1000::/home/array:/ca/bin/ca_shell
+
+# Only the first line of this file is parsed.
+# All next lines are comments.
+# You can not set multiple user accounts with this
+# nss module. Use the format as in the standard /etc/passwd.
+# For security reasons: don't use UID or GID under 500,
+# won't work, and in the password field we return
+# always an 'x', regardless what you wrote there...
Index: /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SPECS/libnss-ato.spec
===================================================================
--- /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SPECS/libnss-ato.spec	(nonexistent)
+++ /branches/rel_avx_2_7_2/3rdpartyappliance/centos-libnss-ato/SPECS/libnss-ato.spec	(working copy)
@@ -0,0 +1,51 @@
+Name: libnss-ato
+Summary: The libnss_ato module is a set of C library extensions which allows to map every nss request for unknown user to a single predefined user.
+Version: 0.2.1
+Release: 1
+Source: %{name}-%{version}.tar.gz
+Vendor: donapieppo
+License: GPL
+ExclusiveOS: linux
+Group: System Environment/Kernel
+Provides: %{name}
+URL: https://github.com/donapieppo/libnss-ato
+BuildRoot: %{_tmppath}/%{name}-%{version}-root
+# do not generate debugging packages by default - newer versions of rpmbuild
+# may instead need:
+#%define debug_package %{nil}
+%debug_package %{nil}
+Requires: kernel, fileutils, findutils, gawk, bash
+
+Patch999001: avx.patch
+ 
+####
+%description
+The libnss_ato module is a set of C library extensions which allows to map every nss request for unknown user to a single predefined user.
+
+%prep
+%setup
+%patch999001 -p1
+
+%build
+make clean
+make
+
+%install
+echo %{BuildRoot}
+
+install -dDm 0755 %{buildroot}/lib/
+install -dDm 0755 %{buildroot}/etc/
+
+install -Dm 644 libnss_ato.so.2 %{buildroot}/lib/libnss_ato-2.3.6.so
+ln -fs libnss_ato-2.3.6.so %{buildroot}/lib/libnss_ato.so.2
+install -Dm 644 libnss-ato.conf %{buildroot}/etc/libnss-ato.conf
+
+%clean
+rm -rf %{buildroot}
+
+%files
+/lib/libnss_ato.so.2
+/lib/libnss_ato-2.3.6.so
+/etc/libnss-ato.conf
+
+%post
Index: /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/pam.py
===================================================================
--- /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/pam.py	(nonexistent)
+++ /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/pam.py	(working copy)
@@ -0,0 +1,224 @@
+# (c) 2007 Chris AtLee <chris@atlee.ca>
+# Licensed under the MIT license:
+# http://www.opensource.org/licenses/mit-license.php
+#
+# Original author: Chris AtLee
+#
+# Modified by David Ford, 2011-12-6
+# added py3 support and encoding
+# added pam_end
+# added pam_setcred to reset credentials after seeing Leon Walker's remarks
+# added byref as well
+# use readline to prestuff the getuser input
+
+'''
+PAM module for python
+
+Provides an authenticate function that will allow the caller to authenticate
+a user against the Pluggable Authentication Modules (PAM) on the system.
+
+Implemented using ctypes, so no compilation is necessary.
+'''
+
+__all__      = ['pam']
+__version__  = '1.8.4'
+__author__   = 'David Ford <david@blue-labs.org>'
+__released__ = '2018 June 15'
+
+import sys
+
+from ctypes import CDLL, POINTER, Structure, CFUNCTYPE, cast, byref, sizeof
+from ctypes import c_void_p, c_size_t, c_char_p, c_char, c_int
+from ctypes import memmove
+from ctypes.util import find_library
+
+class PamHandle(Structure):
+    """wrapper class for pam_handle_t pointer"""
+    _fields_ = [ ("handle", c_void_p) ]
+
+    def __init__(self):
+        Structure.__init__(self)
+        self.handle = 0
+
+class PamMessage(Structure):
+    """wrapper class for pam_message structure"""
+    _fields_ = [ ("msg_style", c_int), ("msg", c_char_p) ]
+
+    def __repr__(self):
+        return "<PamMessage %i '%s'>" % (self.msg_style, self.msg)
+
+class PamResponse(Structure):
+    """wrapper class for pam_response structure"""
+    _fields_ = [ ("resp", c_char_p), ("resp_retcode", c_int) ]
+
+    def __repr__(self):
+        return "<PamResponse %i '%s'>" % (self.resp_retcode, self.resp)
+
+conv_func = CFUNCTYPE(c_int, c_int, POINTER(POINTER(PamMessage)), POINTER(POINTER(PamResponse)), c_void_p)
+
+class PamConv(Structure):
+    """wrapper class for pam_conv structure"""
+    _fields_ = [ ("conv", conv_func), ("appdata_ptr", c_void_p) ]
+
+# Various constants
+PAM_PROMPT_ECHO_OFF       = 1
+PAM_PROMPT_ECHO_ON        = 2
+PAM_ERROR_MSG             = 3
+PAM_TEXT_INFO             = 4
+PAM_REINITIALIZE_CRED     = 8
+
+libc                      = CDLL(find_library("c"))
+libpam                    = CDLL(find_library("pam"))
+
+calloc                    = libc.calloc
+calloc.restype            = c_void_p
+calloc.argtypes           = [c_size_t, c_size_t]
+
+# bug #6 (@NIPE-SYSTEMS), some libpam versions don't include this function
+if hasattr(libpam, 'pam_end'):
+    pam_end                   = libpam.pam_end
+    pam_end.restype           = c_int
+    pam_end.argtypes          = [PamHandle, c_int]
+
+pam_start                 = libpam.pam_start
+pam_start.restype         = c_int
+pam_start.argtypes        = [c_char_p, c_char_p, POINTER(PamConv), POINTER(PamHandle)]
+
+pam_setcred               = libpam.pam_setcred
+pam_setcred.restype       = c_int
+pam_setcred.argtypes      = [PamHandle, c_int]
+
+pam_strerror              = libpam.pam_strerror
+pam_strerror.restype      = c_char_p
+pam_strerror.argtypes     = [PamHandle, c_int]
+
+pam_authenticate          = libpam.pam_authenticate
+pam_authenticate.restype  = c_int
+pam_authenticate.argtypes = [PamHandle, c_int]
+
+class pam():
+    code   = 0
+    reason = None
+
+    def __init__(self):
+        pass
+
+    def authenticate(self, username, password, service='login', encoding='utf-8', resetcreds=True):
+        """username and password authentication for the given service.
+
+           Returns True for success, or False for failure.
+
+           self.code (integer) and self.reason (string) are always stored and may
+           be referenced for the reason why authentication failed. 0/'Success' will
+           be stored for success.
+
+           Python3 expects bytes() for ctypes inputs.  This function will make
+           necessary conversions using the supplied encoding.
+
+        Inputs:
+          username: username to authenticate
+          password: password in plain text
+          service:  PAM service to authenticate against, defaults to 'login'
+
+        Returns:
+          success:  True
+          failure:  False
+        """
+
+        @conv_func
+        def my_conv(n_messages, messages, p_response, app_data):
+            """Simple conversation function that responds to any
+               prompt where the echo is off with the supplied password"""
+            # Create an array of n_messages response objects
+            addr = calloc(n_messages, sizeof(PamResponse))
+            response = cast(addr, POINTER(PamResponse))
+            p_response[0] = response
+            for i in range(n_messages):
+                if messages[i].contents.msg_style == PAM_PROMPT_ECHO_OFF:
+                    dst = calloc(len(password)+1, sizeof(c_char))
+                    memmove(dst, cpassword, len(password))
+                    response[i].resp = dst
+                    response[i].resp_retcode = 0
+            return 0
+
+        # python3 ctypes prefers bytes
+        if sys.version_info >= (3,):
+            if isinstance(username, str): username = username.encode(encoding)
+            if isinstance(password, str): password = password.encode(encoding)
+            if isinstance(service, str):  service  = service.encode(encoding)
+        else:
+            if isinstance(username, unicode):
+                username = username.encode(encoding)
+            if isinstance(password, unicode):
+                password = password.encode(encoding)
+            if isinstance(service, unicode):
+                service  = service.encode(encoding)
+
+        if b'\x00' in username or b'\x00' in password or b'\x00' in service:
+            self.code = 4  # PAM_SYSTEM_ERR in Linux-PAM
+            self.reason = 'strings may not contain NUL'
+            return False
+
+        # do this up front so we can safely throw an exception if there's
+        # anything wrong with it
+        cpassword = c_char_p(password)
+
+        handle = PamHandle()
+        conv   = PamConv(my_conv, 0)
+        retval = pam_start(service, username, byref(conv), byref(handle))
+
+        if retval != 0:
+            # This is not an authentication error, something has gone wrong starting up PAM
+            self.code   = retval
+            self.reason = "pam_start() failed"
+            return False
+
+        retval = pam_authenticate(handle, 0)
+        auth_success = retval == 0
+
+        if auth_success and resetcreds:
+            retval = pam_setcred(handle, PAM_REINITIALIZE_CRED);
+
+        # store information to inform the caller why we failed
+        self.code   = retval
+        self.reason = pam_strerror(handle, retval)
+        if sys.version_info >= (3,):
+            self.reason = self.reason.decode(encoding)
+
+        if hasattr(libpam, 'pam_end'):
+            pam_end(handle, retval)
+
+        return auth_success
+
+
+def authenticate(*vargs, **dargs):
+    """
+    Compatibility function for older versions of python-pam.
+    """
+    return pam().authenticate(*vargs, **dargs)
+
+
+if __name__ == "__main__":
+    import readline, getpass
+
+    def input_with_prefill(prompt, text):
+        def hook():
+            readline.insert_text(text)
+            readline.redisplay()
+        readline.set_pre_input_hook(hook)
+
+        if sys.version_info >= (3,):
+            result = input(prompt)
+        else:
+            result = raw_input(prompt)
+
+        readline.set_pre_input_hook()
+        return result
+
+    pam = pam()
+
+    username = input_with_prefill('Username: ', getpass.getuser())
+
+    # enter a valid username and an invalid/valid password, to verify both failure and success
+    pam.authenticate(username, getpass.getpass())
+    print('{} {}'.format(pam.code, pam.reason))
Index: /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/DESCRIPTION.rst
===================================================================
--- /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/DESCRIPTION.rst	(nonexistent)
+++ /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/DESCRIPTION.rst	(working copy)
@@ -0,0 +1,49 @@
+python-pam
+==========
+
+Python pam module supporting py3 (and py2)
+
+Commandline example:
+
+```
+[david@Scott python-pam]$ python pam.py
+Username: david
+Password: 
+0 Success
+
+[david@Scott python-pam]$ python2 pam.py
+Username: david
+Password: 
+0 Success
+```
+
+Inline examples:
+```
+[david@Scott python-pam]$ python
+Python 3.4.1 (default, May 19 2014, 17:23:49)
+[GCC 4.9.0 20140507 (prerelease)] on linux
+Type "help", "copyright", "credits" or "license" for more information.
+>>> import pam
+>>> p = pam.pam()
+>>> p.authenticate('david', 'correctpassword')
+True
+>>> p.authenticate('david', 'badpassword')
+False
+>>> p.authenticate('david', 'correctpassword', service='login')
+True
+>>> p.authenticate('david', 'correctpassword', service='unknownservice')
+False
+>>> p.authenticate('david', 'correctpassword', service='login', resetcreds=True)
+True
+>>> p.authenticate('david', 'correctpassword', encoding='latin-1')
+True
+>>> print('{} {}'.format(p.code, p.reason))
+0 Success
+>>> p.authenticate('david', 'badpassword')
+False
+>>> print('{} {}'.format(p.code, p.reason))
+7 Authentication failure
+>>>
+```
+
+
Index: /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/INSTALLER
===================================================================
--- /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/INSTALLER	(nonexistent)
+++ /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/INSTALLER	(working copy)
@@ -0,0 +1 @@
+pip
Index: /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/METADATA
===================================================================
--- /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/METADATA	(nonexistent)
+++ /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/METADATA	(working copy)
@@ -0,0 +1,76 @@
+Metadata-Version: 2.0
+Name: python-pam
+Version: 1.8.4
+Summary: Python PAM module using ctypes, py3/py2
+Home-page: https://github.com/FirefighterBlu3/python-pam
+Author: David Ford
+Author-email: david@blue-labs.org
+Maintainer: David Ford
+Maintainer-email: david@blue-labs.org
+License: License :: OSI Approved :: MIT License
+Download-URL: https://github.com/FirefighterBlu3/python-pam
+Platform: i686
+Platform: x86_64
+Classifier: Development Status :: 6 - Mature
+Classifier: Environment :: Plugins
+Classifier: Intended Audience :: Developers
+Classifier: Intended Audience :: Information Technology
+Classifier: Intended Audience :: System Administrators
+Classifier: License :: OSI Approved :: MIT License
+Classifier: Operating System :: POSIX
+Classifier: Operating System :: POSIX :: Linux
+Classifier: Programming Language :: Python
+Classifier: Programming Language :: Python :: 2
+Classifier: Programming Language :: Python :: 3
+Classifier: Topic :: Security
+Classifier: Topic :: System :: Systems Administration :: Authentication/Directory
+
+python-pam
+==========
+
+Python pam module supporting py3 (and py2)
+
+Commandline example:
+
+```
+[david@Scott python-pam]$ python pam.py
+Username: david
+Password: 
+0 Success
+
+[david@Scott python-pam]$ python2 pam.py
+Username: david
+Password: 
+0 Success
+```
+
+Inline examples:
+```
+[david@Scott python-pam]$ python
+Python 3.4.1 (default, May 19 2014, 17:23:49)
+[GCC 4.9.0 20140507 (prerelease)] on linux
+Type "help", "copyright", "credits" or "license" for more information.
+>>> import pam
+>>> p = pam.pam()
+>>> p.authenticate('david', 'correctpassword')
+True
+>>> p.authenticate('david', 'badpassword')
+False
+>>> p.authenticate('david', 'correctpassword', service='login')
+True
+>>> p.authenticate('david', 'correctpassword', service='unknownservice')
+False
+>>> p.authenticate('david', 'correctpassword', service='login', resetcreds=True)
+True
+>>> p.authenticate('david', 'correctpassword', encoding='latin-1')
+True
+>>> print('{} {}'.format(p.code, p.reason))
+0 Success
+>>> p.authenticate('david', 'badpassword')
+False
+>>> print('{} {}'.format(p.code, p.reason))
+7 Authentication failure
+>>>
+```
+
+
Index: /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/RECORD
===================================================================
--- /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/RECORD	(nonexistent)
+++ /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/RECORD	(working copy)
@@ -0,0 +1,9 @@
+pam.py,sha256=9OckkGbj6VMenr5Zko0sfQZVZxPlZzrsdKSVlRfCmrw,7556
+pam.pyc,,
+python_pam-1.8.4.dist-info/DESCRIPTION.rst,sha256=ZzlAiDBuUC_95APCmp0_eRYDnsl9NhuXjcgx4fFUz1g,1090
+python_pam-1.8.4.dist-info/INSTALLER,sha256=zuuue4knoyJ-UwPPXg8fezS7VCrXJQrAP7zeNuwvFQg,4
+python_pam-1.8.4.dist-info/METADATA,sha256=o6bjHQd0CpDejv5ZiM656GmHfr7i6skyjgZQdt3-n6M,2127
+python_pam-1.8.4.dist-info/RECORD,,
+python_pam-1.8.4.dist-info/WHEEL,sha256=kdsN-5OJAZIiHN-iO4Rhl82KyS0bDWf4uBwMbkNafr8,110
+python_pam-1.8.4.dist-info/metadata.json,sha256=AOmZ9XHKc0EGVu6BkIS36svGBCdgP5mXJo2R4_kzoD4,1151
+python_pam-1.8.4.dist-info/top_level.txt,sha256=0EOjbyc3hQyzjhn6iyMgsEseqA66Xz0p27iBN7G7W1w,4
Index: /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/WHEEL
===================================================================
--- /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/WHEEL	(nonexistent)
+++ /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/WHEEL	(working copy)
@@ -0,0 +1,6 @@
+Wheel-Version: 1.0
+Generator: bdist_wheel (0.30.0)
+Root-Is-Purelib: true
+Tag: py2-none-any
+Tag: py3-none-any
+
Index: /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/metadata.json
===================================================================
--- /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/metadata.json	(nonexistent)
+++ /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/metadata.json	(working copy)
@@ -0,0 +1 @@
+{"classifiers": ["Development Status :: 6 - Mature", "Environment :: Plugins", "Intended Audience :: Developers", "Intended Audience :: Information Technology", "Intended Audience :: System Administrators", "License :: OSI Approved :: MIT License", "Operating System :: POSIX", "Operating System :: POSIX :: Linux", "Programming Language :: Python", "Programming Language :: Python :: 2", "Programming Language :: Python :: 3", "Topic :: Security", "Topic :: System :: Systems Administration :: Authentication/Directory"], "download_url": "https://github.com/FirefighterBlu3/python-pam", "extensions": {"python.details": {"contacts": [{"email": "david@blue-labs.org", "name": "David Ford", "role": "author"}, {"email": "david@blue-labs.org", "name": "David Ford", "role": "maintainer"}], "document_names": {"description": "DESCRIPTION.rst"}, "project_urls": {"Home": "https://github.com/FirefighterBlu3/python-pam"}}}, "generator": "bdist_wheel (0.30.0)", "license": "License :: OSI Approved :: MIT License", "metadata_version": "2.0", "name": "python-pam", "platform": "i686", "summary": "Python PAM module using ctypes, py3/py2", "version": "1.8.4"}
\ No newline at end of file
Index: /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/top_level.txt
===================================================================
--- /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/top_level.txt	(nonexistent)
+++ /branches/rel_avx_2_7_2/src/webui/webui/exfiles/python/lib/python_pam-1.8.4.dist-info/top_level.txt	(working copy)
@@ -0,0 +1 @@
+pam
Index: /branches/rel_avx_2_7_2/update/avxsystem.ks
===================================================================
--- /branches/rel_avx_2_7_2/update/avxsystem.ks	(revision 8849)
+++ /branches/rel_avx_2_7_2/update/avxsystem.ks	(working copy)
@@ -510,6 +510,8 @@
 intel_auxiliary-1.0.1-1.x86_64
 qat-4.15.0-0.x86_64
 bc-1.06.95-13.el7.x86_64
+pam_radius-1.4.0-4.el7.x86_64
+libnss-ato-0.2-1.x86_64
 %end
 
 %post --nochroot --interpreter ../tools/image-minimizer
